Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ha.deploy
Class WarWatcher

    java.lang.Object
      org.apache.catalina.ha.deploy.WarWatcher

    public class WarWatcher

extends Object

The WarWatcher watches the deployDir for changes made to the directory (adding new WAR files->deploy or remove WAR files->undeploy) And notifies a listener of the changes made

Version:
  1.1
Author:
  Filip Hanik, Peter Rossbach

Nested Class Summary
`protected static class` | `WarWatcher.WarFilter` File name filter for war files
`protected static class` | `WarWatcher.WarInfo` File information on existing WAR files

Field Summary
`protected Map<String,WarWatcher.WarInfo>` | `currentStatus` Currently deployed files
`protected FileChangeListener` | `listener` Parent to be notified of changes
`protected File` | `watchDir` Directory to watch for war files

Constructor Summary
`WarWatcher()`
`WarWatcher(FileChangeListener listener, File watchDir)`

Method Summary
`protected void` | `addWarInfo(File warfile)` add cluster war to the watcher state
`void` | `check()` check for modification and send notification to listener
`void` | `clear()` clear watcher state
`FileChangeListener` | `getListener()`
`File` | `getWatchDir()`
`void` | `setListener(FileChangeListener listener)`
`void` | `setWatchDir(File watchDir)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### watchDir

    protected File watchDir

  Directory to watch for war files

### listener

    protected FileChangeListener listener

  Parent to be notified of changes

### currentStatus

    protected Map<String,WarWatcher.WarInfo> currentStatus

  Currently deployed files

Constructor Detail

### WarWatcher

    public WarWatcher()

### WarWatcher

    public WarWatcher(FileChangeListener listener,
                      File watchDir)

Method Detail

### check

    public void check()

  check for modification and send notification to listener

### addWarInfo

    protected void addWarInfo(File warfile)

  add cluster war to the watcher state

  Parameters:
    `warfile` -

### clear

    public void clear()

  clear watcher state

### getWatchDir

    public File getWatchDir()

  Returns:
    Returns the watchDir.

### setWatchDir

    public void setWatchDir(File watchDir)

  Parameters:
    `watchDir` - The watchDir to set.

### getListener

    public FileChangeListener getListener()

  Returns:
    Returns the listener.

### setListener

    public void setListener(FileChangeListener listener)

  Parameters:
    `listener` - The listener to set.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.